commit: bd4a1ebd4a27bacc8697a6a152f1578528197cb7
Author: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 19 09:33:49 2021 +0000
Commit: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Sun Dec 19 09:33:49 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bd4a1ebd
dev-ada/gnatcoll-bindings: build something
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>
dev-ada/gnatcoll-bindings/gnatcoll-bindings-22.0.0-r1.ebuild | 7 ++++---
1 file changed, 4 insertions(+), 3 deletions(-)
diff --git a/dev-ada/gnatcoll-bindings/gnatcoll-bindings-22.0.0-r1.ebuild
b/dev-ada/gnatcoll-bindings/gnatcoll-bindings-22.0.0-r1.ebuild
index 29b4018985ee..2f979894c8c7 100644
--- a/dev-ada/gnatcoll-bindings/gnatcoll-bindings-22.0.0-r1.ebuild
+++ b/dev-ada/gnatcoll-bindings/gnatcoll-bindings-22.0.0-r1.ebuild
@@ -16,6 +16,10 @@ LICENSE="GPL-3"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"
IUSE="gmp iconv lzma openmp python readline +shared static-libs static-pic
syslog"
+REQUIRED_USE="|| ( shared static-libs static-pic )
+ || ( gmp iconv lzma openmp python readline syslog )
+ ${PYTHON_REQUIRED_USE}
+ ${ADA_REQUIRED_USE}"
RDEPEND="${PYTHON_DEPS}
${ADA_DEPS}
@@ -27,9 +31,6 @@ RDEPEND="${PYTHON_DEPS}
DEPEND="${RDEPEND}
dev-ada/gprbuild[${ADA_USEDEP}]"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- ${ADA_REQUIRED_USE}"
-
QA_EXECSTACK=usr/lib/gnatcoll_readline.*/libgnatcoll_readline.*
pkg_setup() {